import request from "@/utils/request";

//故障码列表展示
export function getfaultcode(data){
  return request({
    url:"/electronic/faultcode/faultcodelist",
    method: "POST",
    data: data
  })
}


//新增故障码
export function addfalutcode(data){
  return request({
    url:"/electronic/faultcode/faultcodeadd",
    method: "POST",
    data: data
  })
}

//修改故障码
export function updfalutcode(data){
  return request({
    url:"/electronic/faultcode/faultcodeupd",
    method: "POST",
    data: data
  })
}

//删除故障码
export function delfaultcode(messageTypeId){
  return request({
    url:"/electronic/faultcode/faultcodedel/"+messageTypeId,
    method: "POST",
  })
}



//故障码分类
export function getfaultType(data){
  return request({
    url:"/electronic/faulttype/list",
    method: "POST",
    data: data
  })
}

//故障名称
export function getfaultLabel(data){
  return request({
    url:"/electronic/faultlabel/list",
    method: "POST",
    data: data
  })
}

export function getunread(data){
  return request({
    url:"/electronic/message/unread",
    method: "POST",
    data: data
  })
}


